Skip to main content
`Ctrl`+`K`

# PetscSectionSetFieldComponents

Sets the number of field components for the given field.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFieldComponents(PetscSection s, PetscInt field, PetscInt numComp)

Not Collective

## Input Parameters

- s - the `PetscSection`

- field - the field number

- numComp - the number of field components

## Note

This number can be different than the values set with `PetscSectionSetFieldDof()`. It can be used to indicate the number of components in the field of the underlying physical model which may be different than the number of degrees of freedom needed at a point in a discretization. For example, if in three dimensions the field is velocity, it will have 3 components, u, v, and w but an face based model for velocity (where the velocity normal to the face is stored) there is only 1 dof for each face point.

The value set with this function are not needed or used in `PetscSectionSetUp()`.

## Developer Notes

This function is misnamed. There is a Num in `PetscSectionSetNumFields()` but not in this name

## See Also

PetscSection, `PetscSection`, `PetscSectionGetFieldComponents()`, `PetscSectionSetComponentName()`, `PetscSectionGetComponentName()`, `PetscSectionGetNumFields()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex11_sa.c
src/dm/impls/plex/tutorials/ex7.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages